[accomplishment]
// ACCOMPLISHMENT: Accomplishments Contributor ('title' field)
// .
// ENGLISH TRANSLATION:
// Accomplishments Contributor

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// A short description of the accomplishment.
//          NOTE: Describe this in the past tense as if it has been achieved (e.g. Registered On Launchpad). 
_("accomplishments-contributor_title")
// ACCOMPLISHMENT: Accomplishments Contributor ('description' field)
// .
// ENGLISH TRANSLATION:
// You have contributed an accomplishment to the official accomplishments collection

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add a descriptive single-line summary of the accomplishment.
_("accomplishments-contributor_description")
// ACCOMPLISHMENT: Accomplishments Contributor ('summary' field)
// .
// ENGLISH TRANSLATION:
// The quality of Ubuntu Accomplishments is only as good as the collection of accomplishments that is available. Still growing, accomplishments collections aim to provide user with great accomplishments, that would help him explore system and learn about the community.
// As creating accomplishments is very easy, we encourage developers to create their own accomplishments. Contributions of any kind are very welcome.
// <b>Note:</b> Accomplishments within the official collections have to meet <a href='https://wiki.ubuntu.com/Accomplishments/Creating/Guidelines'>these guidelines</a>.
// This accomplishment is awarded to all developers who have proposed at least one merge into Ubuntu Community Accomplishments trunk that was accepted and subsequently merged.

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Introduce the accomplishment, explain what the different concepts are that are involved, and provide guidance on how to accomplish it.
//          NOTE: Break this into paragraphs by putting each paragraph on a new line. 
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("accomplishments-contributor_summary")
// ACCOMPLISHMENT: Accomplishments Contributor ('steps' field)
// .
// ENGLISH TRANSLATION:
// Begin with a nice idea of a new accomplishment. Make sure it hasn't been done yet, and that if follows the guidelines. You can find example ideas <a href='https://wiki.ubuntu.com/Accomplishments/Trophies'>on this page</a>.
// Learn how to write an accomplishment and a script linked to it. There is <a href='https://wiki.ubuntu.com/Accomplishments/Creating/Guide'>a good guide</a> available that will help you.
// Using Bazaar, create a new branch of <tt>lp:ubuntu-community-accomplishments</tt> and place your accomplishment there.
// Test your accomplishment carefully, fix problems if you find any, adjust whatever will be needed.
// Commit & push your changes to your branch in Launchpad, when you will be happy with the result.
// Propose the branch for merging into trunk. Developers may contact you in case of problems and questions.
// When your MP will be accepted, you accomplishments should be available from daily builds PPA, and will be included in the next release.

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add a series of step-by-step instructions for how to accomplish this trophy.
//          NOTE: Put each step on a new line
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("accomplishments-contributor_steps")
// ACCOMPLISHMENT: Accomplishments Contributor ('tips' field)
// .
// ENGLISH TRANSLATION:
// Hang around on #ubuntu-accomplishments if you need help. There are many experienced accomplishments creators, who will be glad to help you!
// Pay attention to test your accomplishment in details - it will not make it into the official collection in case something is wrong.

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add tips and best practise for accomplishing this trophy.
//          NOTE: Put each tip on a new line
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("accomplishments-contributor_tips")
// ACCOMPLISHMENT: Accomplishments Contributor ('pitfalls' field)
// .
// ENGLISH TRANSLATION:
// Follow the guidelines. If you won't, all your work will get rejected.

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add things the user should not do when working to accomplish this trophy.
//          NOTE: Put each pitfall on a new line
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("accomplishments-contributor_pitfalls")
// ACCOMPLISHMENT: Accomplishments Contributor ('links' field)
// .
// ENGLISH TRANSLATION:
// https://wiki.ubuntu.com/community/Accomplishments
// https://wiki.ubuntu.com/Accomplishments/Creating
// https://wiki.ubuntu.com/Accomplishments/Trophies

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add related web addresses (don't include a HTML link).
//          NOTE: Put each URL on a new line
_("accomplishments-contributor_links")
// ACCOMPLISHMENT: Accomplishments Contributor ('help' field)
// .
// ENGLISH TRANSLATION:
// #ubuntu-accomplishments on Freenode
// <a href='https://launchpad.net/~ubuntu-accomplishments-contributors' style='color:white'><b>~ubuntu-accomplishments-contributors</b></a> mailing list

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add related help resources (e.g. IRC channel names).
//          NOTE: Put each help resource on a new line
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("accomplishments-contributor_help")
