[accomplishment]
// ACCOMPLISHMENT: Uploaded First Branch To Launchpad ('title' field)
// .
// ENGLISH TRANSLATION:
// Uploaded First Branch To Launchpad

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// A short description of the accomplishment.
//          NOTE: Describe this in the past tense as if it has been achieved (e.g. Registered On Launchpad). 
_("launchpad-uploaded-a-branch_title")
// ACCOMPLISHMENT: Uploaded First Branch To Launchpad ('description' field)
// .
// ENGLISH TRANSLATION:
// You have uploaded your first branch to Launchpad

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add a descriptive single-line summary of the accomplishment.
_("launchpad-uploaded-a-branch_description")
// ACCOMPLISHMENT: Uploaded First Branch To Launchpad ('summary' field)
// .
// ENGLISH TRANSLATION:
// A core part of Launchpad is the ability to host different directories of code. These directories are called <i>branches</i> and we use the Bazaar version control system to manage them. We can use these branches to share contributions and to propose improvements and changes to other branches and projects.
// This trophy is awarded when you have created and uploaded your very first branch. We will help you get started right away!
// It is recommended that you read a quick primer on how version control works. See the <i>Further Reading</i> section below for some helpful links

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Introduce the accomplishment, explain what the different concepts are that are involved, and provide guidance on how to accomplish it.
//          NOTE: Break this into paragraphs by putting each paragraph on a new line. 
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("launchpad-uploaded-a-branch_summary")
// ACCOMPLISHMENT: Uploaded First Branch To Launchpad ('steps' field)
// .
// ENGLISH TRANSLATION:
// You first need to create some code that you want to upload to Launchpad. We are going to presume you have a directory with code in it that you want to use.
// Load a terminal and change directories to the directory with the branch in it (e.g. <tt>cd mydir</tt>).
// We first need to initialize the directory so it can be used in bazaar. This is as simple as running <tt>bzr init</tt>. Now we are tracking this directory with Bazaar.
// We now need to add the files in the directory to Bazaar so that it tracks changes. Do this by running <tt>bzr add</tt>. Whenever you add new files be sure to run <tt>bzr add</tt> again.
// Whenever you change anything in the directory (such as editing code), you need to commit the changes. Do this by running <tt>bzr commit</tt>. A text editor will open where you can enter the changes (if your default text editor is Nano, save your changes with <i>Ctrl-O</i> and then <i>Ctrl-X</i>).
// We are now ready to upload your branch to Launchpad. This is known as <i>pushing</i> a branch. To do this type <tt>bzr push lp:~<your-username>/+junk/<name></tt> (for example: <tt>bzr push lp:~bob/+junk/my-first-branch</tt>). Please note your branch name can be anything; it does not need to be the same name as the directory with your code in it.
// You can now go to your Launchpad profile, click <i>Code</i> and see the branch.

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add a series of step-by-step instructions for how to accomplish this trophy.
//          NOTE: Put each step on a new line
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("launchpad-uploaded-a-branch_steps")
// ACCOMPLISHMENT: Uploaded First Branch To Launchpad ('tips' field)
// .
// ENGLISH TRANSLATION:
// If you want to grab a branch of another project on Launchpad (e.g. <i>ubuntu-community-accomplishments</i>, run <tt>bzr branch lp:ubuntu-community-accomplishments</tt>. You can then add your own modified version of this branch by using the project name in the push address (e.g. <tt>bzr push lp:~bob/ubuntu-community-accomplishments/my-first-branch</tt>.

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add tips and best practise for accomplishing this trophy.
//          NOTE: Put each tip on a new line
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("launchpad-uploaded-a-branch_tips")
// ACCOMPLISHMENT: Uploaded First Branch To Launchpad ('pitfalls' field)
// .
// ENGLISH TRANSLATION:
// Never upload code you don't own or illigal content to Launchpad.

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add things the user should not do when working to accomplish this trophy.
//          NOTE: Put each pitfall on a new line
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("launchpad-uploaded-a-branch_pitfalls")
// ACCOMPLISHMENT: Uploaded First Branch To Launchpad ('links' field)
// .
// ENGLISH TRANSLATION:
// https://help.launchpad.net/Code/Review
// http://wiki.bazaar.canonical.com/Tutorials
// http://doc.bazaar.canonical.com

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add related web addresses (don't include a HTML link).
//          NOTE: Put each URL on a new line
_("launchpad-uploaded-a-branch_links")
// ACCOMPLISHMENT: Uploaded First Branch To Launchpad ('help' field)
// .
// ENGLISH TRANSLATION:
// #ubuntu-devel on Freenode

// .
// ----- TRANSLATION INSTRUCTIONS ----- 
// Add related help resources (e.g. IRC channel names).
//          NOTE: Put each help resource on a new line
//          FORMATTING ALLOWED: <i> <strong> <tt>
_("launchpad-uploaded-a-branch_help")
